Subject: bug#3209: 23.0.92; vc-delete-file is not autoloaded

From: Chong Yidong <[email-masked]>
Date: Mon, 04 May 2009 21:29:44 -0400

>    If I do "emacs -Q vc-controlled-file", I then find that I can't do
> "M-x vc-delete-file" immediately, because this command is undefined.
> It's in vc.el, and the mode line shows that Emacs knows the file is
> under version control, so I assume that vc.el must not be loaded as a
> side-effect of finding a version-controlled file.  So shouldn't
> vc-delete-file be autoloaded in that case?  (And possibly other
> commands in vc.el?)
>
>    Note that this *is* a regression wrt 22.3.

I think vc-create-repo, vc-register-with, and vc-delete-file should be
autoloaded.  Anyone on this list have any objection?

*** trunk/lisp/vc.el.~1.715.~	2009-03-21 11:52:16.000000000 -0400
--- trunk/lisp/vc.el	2009-05-04 21:27:35.000000000 -0400
***************
*** 1182,1187 ****
--- 1182,1188 ----
       (t
        (error "Fileset is in an unknown state %s" state)))))
  
+ ;;;###autoload
  (defun vc-create-repo (backend)
    "Create an empty repository in the current directory."
    (interactive
***************
*** 1258,1263 ****
--- 1259,1265 ----
             )
  	 (message "Registering %s... done" files))))))
  
+ ;;;###autoload
  (defun vc-register-with (backend)
    "Register the current file with a specified back end."
    (interactive "SBackend: ")
***************
*** 2138,2143 ****
--- 2140,2146 ----
  	      (throw 'found f)))
         (error "New file lacks a version control directory")))))
  
+ ;;;###autoload
  (defun vc-delete-file (file)
    "Delete file and mark it as such in the version control system."
    (interactive "fVC delete file: ")